/***************************************************************
 * 
 * Demonstration Programm for Xps -> heavy
 *
 * Creates a lot of running Processes according to the
 * parameter given in the command line
 *
 * Thomas Breitfeld; 30.3.1994
 *
 ***************************************************************
 */

#include<stdio.h>
#include<sys/types.h>
#include<sys/time.h>
#include<sys/wait.h>
#include<errno.h>

#define ERROR -1
#define puterr(s)  fprintf(stderr,s)

void child();

void main(int argc, char **argv)
{
   int pid;
   int i;
   int status;
   int nr_procs;

   if((argc < 2) || ((nr_procs = atoi(argv[1])) < 0))
      nr_procs = 5;

   for(i=0;i<nr_procs;i++) {

      if((pid = fork()) < 0)
	 puterr("fork error\n");
      else
	 if(pid > 0) {	/*parent process*/

	     printf("child with id=%d created\n",pid);

	 }

	 else        {   /*child process*/

	     child();

	 }
    }

    for(;;) {

       int wait_return = wait(&status);

       if((wait_return == ERROR) && (errno == ECHILD))
           break;

    }

}



void child(void)
{
   float a,c = 0.9876543;
   while(1==1) {
     a= 1.2345*c;
     c = a*a;
   }

}
