/***************************************************************
 * 
 * Demonstration Programm for Xps -> pgroup
 *
 * Creates some process groups for signal testing
 *
 * Thomas Breitfeld; 30.3.1994
 *
 ***************************************************************
 */

#include<stdio.h>
#include<sys/types.h>
#include<sys/time.h>
#include<sys/wait.h>
#include<errno.h>

#define NR_PROCS 10
#define SLEEPTIME 59
#define ERROR -1
#define puterr(s)  fprintf(stderr,s)

void child(void);
void create_group(int number);

void main(void)
{
int pid;
int i;
int status;


   for(i=0;i<NR_PROCS;i++) {

      if((pid = fork()) < 0)
	 perror("fork1: ");
      else
	 if(pid > 0) {	/*parent process*/

	     printf("child with id=%d created\n",pid);

	 }

	else {          /*child process*/

	     if((i == 0) || (i == 6))
		create_group(5);
	     else
	        child();

	}
   }

   sleep(SLEEPTIME);

   exit(0);

}


void create_group(int number)
{
int pid;
int j;

   setpgrp(0, 0);

   for(j=0;j<number;j++) {

      if((pid = fork()) < 0)
	 perror("fork1: ");
      else
	 if(pid > 0) {	/*parent process*/

	     printf("child with id=%d created\n",pid);

	 }

	 else {          /*child process*/

	     child();

	 }
   }

   sleep(SLEEPTIME);

   exit(0);
}


void child(void)
{
   sleep(SLEEPTIME);
   exit(0);
}

