/**************************************************************************
 * Module name:   control.h						  *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   11. 4. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * description:   constants and prototypes for control.c                  *
 *		  							  *
 * ---------------------------------------------------------------------- *
 **************************************************************************/

#ifndef _CONTROL_H
#define _CONTROL_H

/*
 * definition of timer state structure
 * this structure describes the state of the xps timer
 * A pointer to this structure is the return value of the the
 * adjust_timer function
 */
struct timer_state {
   int sec;		/*seconds*/
   int sec10;		/*1/10 seconds*/
   char cb_func;	/*symbolic constant of callback function*/
};

/* symbolic constants for the notify_functions */
#define  RUN_PS		1
#define  REPLAY		2
#define  ANIMATE	3

/* symbolic constant for play_pointer motion in function play */
#define  INCREMENT	1
#define  DECREMENT	2
#define  LAST		3
#define	 ACT_N		4

EXTERN  struct timer_state *adjust_timer(int sec, int sec10, char cb_func);
#define stop_timer()	adjust_timer(0,0,0)

EXTERN  int control_init(int nr_entries, int nproc);
EXTERN  int change_track_length(int nr_entries);
EXTERN  int play(int move, int n, bool set_slider);
EXTERN  void play_current_psi(void);
EXTERN  Notify_value run_ps(Notify_client client,int pid,
			     union wait *status,struct rusage *rusage);
EXTERN  Notify_value replay(void);
EXTERN  int get_track_entries(void);

#endif
