/**************************************************************************
 * Module name:   filter.h						  *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   11. 4. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * description:   						          *
 **************************************************************************/

#ifndef _FILTER_H
#define _FILTER_H

#include"pst.h"
#include"paint.h"

#define NUMBER_1ST_LETTERS 8
#define NUMBER_2CD_LETTERS 3
#define NUMBER_F_UIDS 20
#define NUMBER_F_TTYS 20
#define TTY_SIGN_LENGTH 2

#define END_F_UIDS_LIST -1

typedef struct _States {
	char	letter_1st[NUMBER_1ST_LETTERS];
	char	letter_2cd[NUMBER_2CD_LETTERS];
} States;

typedef struct _Fp {
	int	*uids;
	char 	**ttys;
	States	*states;
} Fp;

/*
 * prototypes
 */
EXTERN int filter_init(int nproc, int *uids, char **ttys, States *states);
EXTERN int filter(Fp *fp,ProcessState pst[],int pst_entries,
		  ProcessToDraw pdt[]);

EXTERN Fp *initfp(int *uids,char **ttys,States *states);
#define getfp() initfp(NULL,NULL,NULL)

EXTERN int text_to_fuids(char *text, int *uids);
EXTERN int text_to_fttys(char *text,char **ttys,int s_length);
EXTERN int pval_to_fstate(int pval,States *states);

#endif

