
/**************************************************************************
 * Module name:   icon.c						  *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   11. 4. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * description:   Initalizes icons for baseframe and provides its	  *
 *		  animation                                            	  *
 * ---------------------------------------------------------------------- *
 **************************************************************************/

#include"xpis.h"
#include<xview/icon.h>
#include"icon.h"

#define NR_IMAGES	3

PRIVATE Server_image images[NR_IMAGES];
PRIVATE Server_image maskimage;
PRIVATE int current_image = 0;
PRIVATE Icon icon;

/* -------------------------------------------------------------
 * function: init_icons
 *           creates server images from the icon bitmaps
 *           and attach current icon to the base_frame
 * -------------------------------------------------------------
 */
PUBLIC void init_icons(Frame base_frame, char *hostname) 
{
    Rect image_rect, label_rect;
    unsigned short xps0_bits[] = {
    #include "icons/xps0.icon"
    };
    unsigned short xps1_bits[] = {
    #include "icons/xps1.icon"
    };
    unsigned short xps2_bits[] = {
    #include "icons/xps2.icon"
    };
    unsigned short xps3_bits[] = {
    #include "icons/xps3.icon"
    };
/*    unsigned short mask_bits[] = {
 *   #include "icons/xpsmask.icon"
 *   };
 */
    images[0] = (Server_image)xv_create(XV_NULL, SERVER_IMAGE,
		XV_WIDTH,               64,
	        XV_HEIGHT,              64,
	   	SERVER_IMAGE_BITS ,     xps0_bits,
		NULL);

    images[1] = (Server_image)xv_create(XV_NULL, SERVER_IMAGE,
		XV_WIDTH,               64,
	        XV_HEIGHT,              64,
	   	SERVER_IMAGE_BITS ,     xps1_bits,
		NULL);

    images[2] = (Server_image)xv_create(XV_NULL, SERVER_IMAGE,
		XV_WIDTH,               64,
	        XV_HEIGHT,              64,
	   	SERVER_IMAGE_BITS ,     xps2_bits,
		NULL);

    images[3] = (Server_image)xv_create(XV_NULL, SERVER_IMAGE,
		XV_WIDTH,               64,
	        XV_HEIGHT,              64,
	   	SERVER_IMAGE_BITS ,     xps3_bits,
		NULL);

/*    maskimage = (Server_image)xv_create(XV_NULL, SERVER_IMAGE,
 *		XV_WIDTH,               64,
 *	        XV_HEIGHT,              64,
 *	   	SERVER_IMAGE_BITS ,     mask_bits,
 *		NULL);
 */
    rect_construct(&image_rect, 0, 0, 64, 61);
    rect_construct(&label_rect, 0, 61, 64, 71);

    icon = (Icon)xv_create(base_frame, ICON,
		XV_WIDTH,		64,
		XV_HEIGHT,		61 + 10,
		XV_LABEL,		hostname,
		ICON_LABEL_RECT,	&label_rect,
		ICON_IMAGE,		images[current_image],
		ICON_IMAGE_RECT,	&image_rect,
/*		ICON_MASK_IMAGE,	maskimage,*/
		ICON_TRANSPARENT,	FALSE,
		NULL);

    xv_set(base_frame, FRAME_ICON, icon, NULL);
}


/* ------------------------------------------------------------
 * function: animate
 *           interuptfunction for icon timer
 * ------------------------------------------------------------
 */
PUBLIC Notify_value animate(void)
{
    if(++current_image > NR_IMAGES)
	current_image = 0;

    /* set next image */
    xv_set(icon, ICON_IMAGE, images[current_image], NULL);

    return(NOTIFY_DONE);
}
