/**************************************************************************
 * Module name:   paint.h						  *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   11. 4. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * description:   This file contains the prototypes of paint module 	  *
 *		  							  *
 **************************************************************************/

#ifndef _PAINT_H
#define _PAINT_H 

#include"xpsgc.h"
#include"pst.h"

/*structure definitions for process to draw table (pdt) */
typedef struct _ProcessIcon {
	 Pixmap		image;
	 char		color;
	 char 		*text;
	 int	 	textw;		/*width in pixels of text string*/
	 int 		x,y;
	 int		w,h;		/*width and height of the icon*/
	 bool 		inverted;
} ProcessIcon;

typedef struct _ProcessToDraw {
	int     	pid,ppid;
	unsigned int 	cp,rp;	/* cp- child pointer  rp- related pointer*/
	ProcessState 	*pstate;/* pointer to the appropriate pst entrie */
	ProcessIcon	picon;	/* picon represents the drawable part */
} ProcessToDraw;


/*
 * function prototypes for paint module
 */
EXTERN int  paint_init(int nproc);
EXTERN void actualize_painting(ProcessState *pst, int pst_entries);
EXTERN void paint(XpisGC *gc);
EXTERN void repaint(Canvas canvas,Xv_Window paint_window,Rectlist *rects);
EXTERN void item_select(int x, int y);
EXTERN ProcessToDraw *pdt_search(int pid);
EXTERN void paint_object(ProcessIcon icon,XpisGC *gc);

#endif

