/**************************************************************************
 * Module name:   signames.h						  *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   12. 8. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * Signal names used in the action menu;				  *
 * The names must be in the same order like the signal symbols of the     *
 * system, because the index of this table is assumed to be		  *
 * the signal number							  *
 * ---------------------------------------------------------------------- *
 **************************************************************************/

#ifndef _signame_h
#define _signame_h

#ifdef linux

PUBLIC char *signals[] = { 
	"SIGHUP",
	"SIGINT",
	"SIGQUIT",
	"SIGILL",
	"SIGTRAP",
	"SIGIOT",
	"SIGUNUSED",
	"SIGFPE",
	"SIGKILL",
	"SIGUSR1",
	"SIGSEGV",
	"SIGUSR2",
	"SIGPIPE",
	"SIGALRM",
	"SIGTERM",
	"SIGSTKFLT",
	"SIGCHLD",
	"SIGCONT",
	"SIGSTOP",
	"SIGTSTP",
	"SIGTTIN",
	"SIGTTOU",
	"SIGIO",
	"SIGXCPU",
	"SIGXFSZ",
	"SIGVTALRM",
	"SIGPROF",
	"SIGWINCH",
	"SIGLOST",
	"SIGPWR",		
        "","",
        NULL
};

#else

PUBLIC char *signals[] = { 
	"SIGHUP",	/* hangup */
	"SIGINT",	/* interrupt */
	"SIGQUIT",	/* quit */
	"SIGILL",	/* illegal instruction (not reset when caught) */
	"SIGTRAP",	/* trace trap (not reset when caught) */
	"SIGIOT",	/* IOT instruction */
	"SIGEMT",	/* EMT instruction */
	"SIGFPE",	/* floating point exception */
	"SIGKILL",	/* kill (cannot be caught or ignored) */
	"SIGBUS",	/* bus error */
	"SIGSEGV",	/* segmentation violation */
	"SIGSYS",	/* bad argument to system call */
	"SIGPIPE",	/* write on a pipe with no one to read it */
	"SIGALRM",	/* alarm clock */
	"SIGTERM",	/* software termination signal from kill */
	"SIGURG",	/* urgent condition on IO channel */
	"SIGSTOP",	/* sendable stop signal not from tty */
	"SIGTSTP",	/* stop signal from tty */
	"SIGCONT",	/* continue a stopped process */
	"SIGCHLD",	/* to parent on child stop or exit */
	"SIGTTIN",	/* to readers pgrp upon background tty read */
	"SIGTTOU",	/* like TTIN for output if (tp->t_local&LTOSTOP) */
	"SIGIO",	/* input/output possible signal */
	"SIGXCPU",	/* exceeded CPU time limit */
	"SIGXFSZ",	/* exceeded file size limit */
	"SIGVTALRM", 	/* virtual time alarm */
	"SIGPROF",	/* profiling time alarm */
	"SIGWINCH", 	/* window changed */
	"SIGLOST", 	/* resource lost (eg, record-lock lost) */
	"SIGUSR1", 	/* user defined signal 1 */
	"SIGUSR2", 	/* user defined signal 2 */
	"",
	NULL
};

#endif

#endif
