/**************************************************************************
 * Module name:   uname.h						  *
 * Project:       xps (process status programm for X)*
 * ---------------------------------------------------------------------- *
 **************************************************************************/

#ifndef _UNAME_H
#define _UNAME_H

/*
 *  "Table_size" defines the size of the hash tables used to map uid to
 *  username.  The number of users in /etc/passwd CANNOT be greater than
 *  this number.  If the error message "table overflow: too many users"
 *  is printed by top, then "Table_size" needs to be increased.  Things will
 *  work best if the number is a prime number that is about twice the number
 *  of lines in /etc/passwd.
 */
#ifndef Table_size
#define Table_size	211
#endif

/*
 *  If the local system's getpwnam interface uses random access to retrieve
 *  a record (i.e.: 4.3 systems, Sun "yellow pages"), then defining
 *  RANDOM_PW will take advantage of that fact.  If RANDOM_PW is defined,
 *  then getpwnam is used and the result is cached.  If not, then getpwent
 *  is used to read and cache the password entries sequentially until the
 *  desired one is found.
 */
#define RANDOM_PW	1

EXTERN int userid(char *username);
EXTERN char* username(register int uid);

#endif

