/**************************************************************************
 * Module name:   xpis.h						  *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   11. 4. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * description:   globale definitions for xpis project			  *
 *		  							  *
 **************************************************************************/

#include<X11/Xlib.h>
#include<X11/X.h>
#include<xview/xview.h>
#include<xview/frame.h>
#include<xview/panel.h>
#include<xview/xv_xrect.h>
#include<xview/notify.h>
#include<xview/canvas.h>
#include<xview/font.h>
#include<xview/cms.h>
#include<xview/notice.h>


 #define EXTERN 	extern	/*used in .h files */
 #define PRIVATE        static	/*object is sightable in one module only*/
 #define PUBLIC			/*object is sightable in all modules*/
 
 typedef char 		bool;
 #define YES		1
 #define NO     	0

 #define puterr(s) fprintf(stderr,s)

 #define CHANGE_NOT	-1

 #define RIGHT_FOOTER_LENGTH	  30
 #define FILTER_STORED_LENGTH     50
 #define PROP_STORED_LENGTH  	  20

 /* icon types */
 #define I_SMALL	0
 #define I_REGULAR	1
 #define I_FUN		2

 /* font sizes */
 #define F_SMALL	0
 #define F_MEDIUM	1
 #define F_LARGE	2
 #define F_EXTRALARGE	3

 /* filter choices */
 #define U_ALL		0
 #define U_ONLY		1
 #define TTY_ALL	0
 #define TTY_WITHOUT	1
 #define STATE_ALL	0
 #define STATE_ONLY	1
 #define S_RUNING	0x01
 #define S_SLEEPING	0x02
 #define S_IDLEING	0x04
 #define S_SWAPED	0x08
 #define S_STOPED	0x10
 #define S_WAITING	0x20

 /* action choices*/
 #define KILL_SOFT	2
 #define KILL_HARDT	3

 EXTERN Frame get_base_frame(void);

 EXTERN char *signals[];
 #define NR_SIGNALS 31
 #define sigindex_2_nr(i) (i+1)
