
/**************************************************************************
 * Module name:   xpsgc.h			                          *
 * Project:       xps (Process State Programm for X			  *
 * written by:    Thomas Breitfeld (breitf@infotech.tu-chemnitz.de)	  *
 * last change:   11. 4. 1994                                             *
 *									  *
 * Copyright (c) 1994 Technical University of Chemnitz-Zwickau		  *
 *		      Department of Electrical Engineering		  *
 *		      Division of Data and Communication Technologies	  *
 *									  *
 * ---------------------------------------------------------------------- *
 * description:   definition of the graphic context if the xps paint      *
 *		  module and some funktions and macros to use it	  *
 *                					                  *
 * ---------------------------------------------------------------------- *
 **************************************************************************/

#ifndef _XPSGC_H
#define _XPSGC_H


/*structure definition for xpis graphic context:
*/
/*structure for storing the various process images*/
typedef struct _Images {
	Pixmap 		zombie;
	Pixmap		runner;
	Pixmap		sleeper;
	Pixmap		stopper;
	Pixmap		waiter;
	Pixmap		killer;
	int 		ImageHeight, ImageWidth;
} Images;

typedef struct _XpisGC {
	bool 		tree;	/* yes or no */
	Display 	*dpy;
	Window		xwin;
	Canvas		canvas;
	Cms		cms;
	GC		gc, invgc;
	XFontStruct	*xfontstruct;
	Images		*images;
	bool		use_color;
	unsigned long	*color_table;
	int 		IconHeight;
	int		VerSpareSpace;
	int		HorSpareSpace;
} XpisGC;

/* constants for the usable colors */
#define WHITE		0
#define RED		1
#define GREEN		2
#define BLUE		3
#define YELLOW		4
#define PURPLE		5
#define CYAN		6
#define BLACK		7
#define NUM_COLORS      8

EXTERN XpisGC *initgc(Canvas canvas,int iconstyle,int fontsize,int tree);
#define setgc(style,size,tree)   initgc(0,style,size,tree)
#define getgc()		         initgc(0,CHANGE_NOT,CHANGE_NOT,CHANGE_NOT)

#endif
